import React from "react"
import PropTypes from "prop-types"

const RefreshIndicator = (props) => {
  if (!props.refresh) {
    return (
      <span>
        <i className="fa fa-refresh"></i> Refresh
      </span>
    );
  } else {
    return (
      <span>
        <i className="fa fa-spin fa-refresh"></i> Refreshing
      </span>
    );
  }
}
RefreshIndicator.propTypes = {
  refresh: PropTypes.bool.isRequired,
};

export default RefreshIndicator;
